#ifndef MAPMODEL_H
#define MAPMODEL_H

#include <QAbstractListModel>
#include "../loader.h"

class MapModel : public QAbstractListModel
{
Q_OBJECT
public:
	explicit MapModel(QList <tbMap> maps, QObject *parent = 0);
	int rowCount(const QModelIndex &parent = QModelIndex()) const;
	QVariant data(const QModelIndex &index, int role) const;
	void refresh(QList <tbMap> maps);

signals:

public slots:
private:
	QList <tbMap> maps;
};

#endif // MAPMODEL_H
